8 Replies Latest reply: Apr 25, 2012 5:17 PM by greddin RSS

    Error: Exactly one plugin of class myplugin must be specified in spring.xml

    greddin

      I'm following the Jive 4.5 Lab Course for creating a super simple plugin. But when I load the plugin it fails with the following message:

       

      Unknown error: Exactly one plugin of class userbarsampleplugin must be specified in spring.xml

       

      I have looked at the spring.xml and don't see what it's talking about. I've attached my very simple test plugin for you to review. At first I didn't have my class name lower-case but now I do but still having the issue.

       

      Thank you for any help you can provide. I'm sure this is something simple i've overlooked. I'm new to devleloping plugins for Jive. All I want to do is override some of the default components ui.